com.informix.jdbc

## Class IfxDriver

- java.lang.Object
- - com.informix.jdbc.IfxDriver

All Implemented Interfaces:
  java.sql.Driver

    public class IfxDriver
    extends java.lang.Object
    implements java.sql.Driver

The Java SQL framework allows for multiple database drivers.

Each driver should supply a class that implements the Driver interface.

The DriverManager will try to load as many drivers as it can find and then for any given connection request, it will ask each driver in turn to try to connect to the target URL.

It is strongly recommended that each Driver class should be small and standalone so that the Driver class can be loaded and queried without bringing in vast quantities of supporting code.

When a Driver class is loaded, it should create an instance of itself and register it with the DriverManager. This means that a user can load and register a driver by doing Class.forName("foo.bah.Driver").

Issues:

### Constructor Summary

Constructors
Constructor and Description
`IfxDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL(java.lang.String url)` Returns true if the driver thinks that it can open a connection to the given URL.
`java.sql.Connection` `connect(java.lang.String url, java.util.Properties prop)` Try to make a database connection to the given URL.
`static java.lang.String` `getJDBCVersion()` Return the current release version of JDBC.
`static int` `getMajorMinorVersion()` Get the driver's major-minor version number.
`int` `getMajorVersion()` Get the driver's major version number.
`int` `getMinorVersion()` Get the driver's minor version number.
`java.util.logging.Logger` `getParentLogger()`
`static java.util.List<org.bson.BSONObject>` `getPreparedStatementInfo()`
`java.sql.DriverPropertyInfo[]` `getPropertyInfo(java.lang.String url, java.util.Properties prop)` The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database.
`boolean` `jdbcCompliant()` Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IfxDriver

    public IfxDriver()

### Method Detail

#### connect

    public java.sql.Connection connect(java.lang.String url,
                                       java.util.Properties prop)
                                throws java.sql.SQLException

Try to make a database connection to the given URL. The driver should return "null" if it realizes it is the wrong kind of driver to connect to the given URL. This will be common, as when the JDBC driver manager is asked to connect to a given URL it passes the URL to each loaded driver in turn.

The driver should raise a SQLException if it is the right driver to connect to the given URL, but has trouble connecting to the database.

The java.util.Properties argument can be used to passed arbitrary string tag/value pairs as connection arguments. Normally at least "user" and "password" properties should be included in the Properties.

     We support url's of the form:
      jdbc:://:[/dbname][:name=(value)
        [;name=(value)]...]

       everything in brackets '[ ]' is optional
       Also, the database name ([/dbname]) can be a name=value property.

Specified by:
  `connect` in interface `java.sql.Driver`
Parameters:
  `url` - - The URL of the database to connect to
  `prop` - - a list of arbitrary string tag/value pairs as connection arguments; normally at least a "user" and "password" property should be included Can be null
Returns:
  a Connection to the URL
Throws:
  `java.sql.SQLException`

#### acceptsURL

    public boolean acceptsURL(java.lang.String url)
                       throws java.sql.SQLException

Returns true if the driver thinks that it can open a connection to the given URL. Typically drivers will return true if they understand the subprotocol specified in the URL and false if they don't.

Specified by:
  `acceptsURL` in interface `java.sql.Driver`
Parameters:
  `url` - - The URL of the database.
Returns:
  True if this driver can connect to the given URL.
Throws:
  `java.sql.SQLException`

#### getPropertyInfo

    public java.sql.DriverPropertyInfo[] getPropertyInfo(java.lang.String url,
                                                         java.util.Properties prop)
                                                  throws java.sql.SQLException

The getPropertyInfo method is intended to allow a generic GUI tool to discover what properties it should prompt a human for in order to get enough information to connect to a database. Note, depending on the values the human has supplied so far, additional values may become necessary, so it may be necessary to iterate though several calls to getPropertyInfo.

Specified by:
  `getPropertyInfo` in interface `java.sql.Driver`
Parameters:
  `url` - - The URL of the database to connect to.
  `prop` - - A proposed list of tag/value pairs that will be sent on connect open.
Returns:
  An array of DriverPropertyInfo objects describing possible properties. This array may be an empty array if no properties are required.
Throws:
  `java.sql.SQLException`

#### getMajorVersion

    public int getMajorVersion()

Get the driver's major version number.

Specified by:
  `getMajorVersion` in interface `java.sql.Driver`
Returns:
  major version number

#### getMinorVersion

    public int getMinorVersion()

Get the driver's minor version number.

Specified by:
  `getMinorVersion` in interface `java.sql.Driver`
Returns:
  minor version number

#### getMajorMinorVersion

    public static int getMajorMinorVersion()

Get the driver's major-minor version number.

Returns:
  major-minor version number

#### jdbcCompliant

    public boolean jdbcCompliant()

Report whether the Driver is a genuine JDBC COMPLIANT (tm) driver. A driver may only report "true" here if it passes the JDBC compliance tests, otherwise it is required to return false.

JDBC compliance requires full support for the JDBC API and full support for SQL 92 Entry Level. It is expected that JDBC compliant drivers will be available for all the major commercial databases. This method is not intended to encourage the development of non-JDBC compliant drivers, but is a recognition of the fact that some vendors are interested in using the JDBC API and framework for lightweight databases that do not support full database functionality, or for special databases such as document information retrieval where a SQL implementation may not be feasible.

Specified by:
  `jdbcCompliant` in interface `java.sql.Driver`
Returns:
  true if compliant

#### getJDBCVersion

    public static java.lang.String getJDBCVersion()

Return the current release version of JDBC.

#### getParentLogger

    public java.util.logging.Logger getParentLogger()
                                             throws java.sql.SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `java.sql.Driver`
Throws:
  `java.sql.SQLFeatureNotSupportedException`

#### getPreparedStatementInfo

    public static java.util.List<org.bson.BSONObject> getPreparedStatementInfo()